import java.awt.*;

//Die Klasse DREIECK
public class DREIECK{
    
    //Attribute
    private int hoehe;
    private int laenge;
    private int xPosition;
    private int yPosition;
    private String fuellfarbe;
    private boolean istSichtbar;

    //Konstruktor
    public DREIECK(int xp, int yp, String f){
        hoehe = 20;
        laenge = 20;
        xPosition = xp;
        yPosition = yp;
        fuellfarbe = f;
        istSichtbar = false;
    }
    
    //Weitere Methoden
    public void posSetzen(int xp, int yp){
        xPosition = xp;
        yPosition = yp;
    }   
    
    public void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
    
    public void unsichtbarMachen(){
        loeschen();
        istSichtbar = false;
    }
    
    public void bewegeHorizontal(int strecke){
        xPosition = xPosition + strecke;
        zeichnen();
    }

    public void bewegeVertikal(int strecke){
        yPosition = yPosition + strecke;
        zeichnen();
    }

    public void groesseSetzen(int neueHoehe, int neueLaenge){
        loeschen();
        hoehe = neueHoehe;
        laenge = neueLaenge;
        zeichnen();
    }
    
    //ndert die Farbe. Erlaubt sind "red", "yellow", "blue", "green", "magenta" und "black".
    public void fuellfarbeSetzen(String neueFarbe){
        fuellfarbe = neueFarbe;
        zeichnen();
    }


    //Zeichnet das Dreieck auf die Leinwand (Canvas)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            int[] xpoints = { xPosition, xPosition + (laenge/2), xPosition - (laenge/2) };
            int[] ypoints = { yPosition, yPosition + hoehe, yPosition + hoehe };
            canvas.draw(this, fuellfarbe, new Polygon(xpoints, ypoints, 3));
            canvas.wait(10);
        }
    }

    //Entfernt das Dreieick von der Leinwand (Canvas)
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
} //Ende der Klasse DREIECK
