import java.awt.*;
import java.awt.geom.*;

//Die Klasse KREIS
public class KREIS{

    //Attribute
    private int radius;
    private int xPosition;
    private int yPosition;
    private String fuellfarbe;
    private boolean istSichtbar;
       
    //Konstruktor
    public KREIS(int xp, int yp, int r, String f){
        radius = r;
        xPosition = xp;
        yPosition = yp;
        fuellfarbe = f;
        istSichtbar = true;
    }
   
    //Weitere Methoden
    public int xposGeben(){
        return xPosition;
    }   
    
    public void posSetzen(int xp, int yp){
        xPosition = xp;
        yPosition = yp;
    }   
    
    public void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }   
    
    public void unsichtbarMachen(){
        loeschen();
        istSichtbar = false;
    }
    
    public void radiusSetzen(int r){
        radius = r;
        zeichnen();
    }
    public void bewegeHorizontal(int strecke){
        xPosition = xPosition + strecke;
        zeichnen();
    }

    public void bewegeVertikal(int strecke){
        loeschen();
        yPosition = yPosition + strecke;
        zeichnen();
    }
    //ndert die Farbe. Erlaubt sind "red", "yellow", "blue", "green", "magenta" und "black".
    public void fuellfarbeSetzen(String neueFarbe){
        fuellfarbe = neueFarbe;
        zeichnen();
    }

    //Zeichnet den Kreis auf die Leinwand (Canvas)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.draw(this, fuellfarbe, new Ellipse2D.Double(xPosition, yPosition, 
                                                          radius*2, radius*2));
            canvas.wait(10);
        }
    }

    //Entfernt den Kreis von der Leinwand (Canvas)
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
} //Ende der Klasse KREIS
