import java.awt.*;

// Definition der Klasse RECHTECK
public class RECHTECK {
    
    //Attribute
    private int breite;
    private int hoehe;
    private int xPosition;
    private int yPosition;
    private String fuellfarbe;
    private boolean istSichtbar;
    
    //Konstruktor
    public RECHTECK(int xp, int yp, int b, int h, String f) {
        breite=b;
        hoehe=h;
        xPosition = xp;
        yPosition = yp;
        fuellfarbe = f;
        istSichtbar = false;
    }

    //Weitere Methoden
    public void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
     
    public void unsichtbarMachen() {
        loeschen();
        istSichtbar = false;
    }

    public void bewegeHorizontal(int strecke){
        xPosition = xPosition + strecke;
        zeichnen();
    }

    public void bewegeVertikal(int strecke){
        yPosition = yPosition + strecke;
        zeichnen();
    }

    public void fuellfarbeSetzen(String neueFarbe){
        fuellfarbe = neueFarbe;
        zeichnen();
    }

    public void breiteSetzen(int neueBreite){
        loeschen();
        breite = neueBreite;
        zeichnen();
    }

    public void hoeheSetzen(int neueHoehe){
        loeschen();
        hoehe = neueHoehe;
        zeichnen();
    }
    //Zeichnet das Rechteck auf die Leinwand (falls sichtbar)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.draw(this, fuellfarbe,
                        new Rectangle(xPosition, yPosition, breite, hoehe));
            canvas.wait(10);
        }
    }
 
    //Lscht das Rechteck von der Leinwand
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
}
    
        
//Ende der Klasse RECHTECK
